IsGreaterThan (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.logic.condition

## Class IsGreaterThan

- java.lang.Object
- - net.sf.antcontrib.logic.condition.IsGreaterThan

- All Implemented Interfaces:
    org.apache.tools.ant.taskdefs.condition.Condition

      public final class IsGreaterThan
      extends java.lang.Object
      implements org.apache.tools.ant.taskdefs.condition.Condition

  Condition to test if the first argument is greater than the second argument. Will deal with base 10 integer and decimal numbers, otherwise, treats arguments as Strings.

  Developed for use with Antelope, migrated to ant-contrib Oct 2003.

  Version:
    $Revision: 1.4 $
  Author:
    Dale Anson, danson@germane-software.com

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IsGreaterThan()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `eval()`
    `void` | `setArg1(java.lang.String a1)`
    `void` | `setArg2(java.lang.String a2)`
    `void` | `setCasesensitive(boolean b)` Should the comparison be case sensitive?
    `void` | `setTrim(boolean b)` Should we want to trim the arguments before comparing them?

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IsGreaterThan

          public IsGreaterThan()

  - ### Method Detail

    - #### setArg1

          public void setArg1(java.lang.String a1)

    - #### setArg2

          public void setArg2(java.lang.String a2)

    - #### setTrim

          public void setTrim(boolean b)

      Should we want to trim the arguments before comparing them?
      Since:
        Revision: 1.3, Ant 1.5

    - #### setCasesensitive

          public void setCasesensitive(boolean b)

      Should the comparison be case sensitive?
      Since:
        Revision: 1.3, Ant 1.5

    - #### eval

          public boolean eval()
                       throws org.apache.tools.ant.BuildException

      Specified by:
        `eval` in interface `org.apache.tools.ant.taskdefs.condition.Condition`
      Throws:
        `org.apache.tools.ant.BuildException`